# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['luna_libs']

package_data = \
{'': ['*']}

install_requires = \
['aiochclient[aiohttp-speedups]',
 'aiohttp>=3.10.0',
 'aiojobs',
 'ciso8601',
 'click<8.1.0',
 'clickhouse-connect',
 'dpath',
 'fastjsonschema',
 'influxdb-client',
 'jsonref',
 'jsonschema',
 'log',
 'luna-plugins',
 'luna-utils',
 'monitoring_db_tools',
 'msgpack>=1.0.0',
 'openapi-schema-validator>=0.6,<0.7',
 'pytest!=7.0.0',
 'pytz',
 'pyyaml',
 'redis[hiredis]>=5.0.3',
 'requests',
 'sanic>=24.12',
 'stringcase',
 'ujson']

extras_require = \
{'oracle': ['sqlalchemy>=1.2.16,<1.4.0', 'cx_oracle>=8.3.0,<9.0.0'],
 'postgres': ['sqlalchemy>=1.2.16,<1.4.0', 'asyncpg>=0.29.0']}

setup_kwargs = {
    'name': 'luna-libs',
    'version': '0.1.32',
    'description': 'luna-libs, a internal python library for VisionLabs LUNA project dependencies',
    'long_description': 'None',
    'author': 'VisionLabs',
    'author_email': 'info@visionlabs.ru',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
}


setup(**setup_kwargs)
